## kdebase-3.2.3.tar.bz2

=== kwin/tools/xprop/Makefile ===
all:
	gcc dsimple.c xprop.c -o xprop -lXmu -lX11 -L/usr/X11R6/lib
