=== debian/changelog ===
kdebase (4:3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Added Catalan po-deconf translations. (Closes: #139733)
  * Added Polish po-deconf translations. (Closes: #142540)
  * Added Japanese po-deconf translations. (Closes: #137940, #210431)
  * Updated kate Recommends: kregexpeditor. (Closes: #227677)
  * Added konqueror Depends: kdebase-kio-plugins. (Closes: #230203)
  * Added kdm Provides: x-display-manager. (Closes: #231442)
  * Added kdebase-bin/kdm Depends libpam-runtime. (Closes: #233562, #236078)
  * Added kate/konqueror mime nametemplate support. (Closes: #235216)

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  5 Mar 2004 04:00:00 -0600

kdebase (4:3.2.0-0pre1v1) experimental; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 17 Feb 2004 17:00:00 -0600

kdebase (4:3.1.95-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 23 Jan 2004 18:00:00 -0600

kdebase (4:3.1.5-2) unstable; urgency=low

  * Remove Build-Depends: libsensors-dev.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 29 Jan 2004 22:00:00 -0600

kdebase (4:3.1.5-1) unstable; urgency=low

  * New upstream release.
  * Added pt_BR debconf translation. (Closes: #107023)
  * Updated /etc/gdm/Sessions/KDE file. (Closes: #177144)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 12 Jan 2004 19:00:00 -0600

kdebase (4:3.1.4-2) unstable; urgency=low

  * Added es debconf translation. (Closes: #128933)
  * Added fr debconf translation. (Closes: #132615, #225899)
  * Corrected konqueror gs mime tests. (Closes: #160428)
  * kdesktop Recommends eject. (Closes: #223642)
  * konqueror Provides info-browser. (Closes: #223913)
  * Added '|| true' to db_input lines in kdm debconf support. (Closes: #224548)
  * Corrected typo in kdm.config script. (Closes: #224578)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  5 Jan 2004 23:00:00 -0600

kdebase (4:3.1.4-1) unstable; urgency=low

  * The "Why isn't KDE installable yet" release.
  * New upstream release.
  * Added patch to update autotools files.
  * Added patch to remove pedantic-errors from KDE_CHECK_FUNC_EXT since it
    causes configure checks to fail due to #line numbers being > 32767.
  * Demote kdeprint Depends 'efax | hylafax-client | mgetty-fax' to Suggests.
    (Closes: #142489)
  * Change kicker.menu-method to not display the empty_mime icon if a menu file
    doesn't provide an icon. (Closes: #154065)
  * Make konqueror depend on kdesktop. (Closes: #192550)
  * Update pam support to use new common module fragments. (Closes: #206958)
  * Update package descriptions. (Closes: #209532, #209856)
  * Strip SUID root from kcheckpass since its not needed. (Closes: #212212)
  * Update kdm debconf and use po-debconf. (Closes: #218731)
  * Make kicker depend on kdebase-data. (Closes: #223407)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 18 Dec 2003 13:30:00 -0600

kdebase (4:3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 30 Jul 2003 15:00:00 -0500

kdebase (4:3.1.2-1.1) unstable; urgency=low

  * NMU (Maintainer is aware for a while but is dumb)
      - Summary: kdebase-dev depends on kdebase that is not installable
                 some package have build-depends on kdebase-dev so they are
                 buildable since at least 06 Jun 2003
  * Fix Depends: field (previous was libsensors1 and it was replaced by
    libsensors-1debian1) (Closes: #196370, #200224)
  * Fix FTBFS with gcc-3.3 (Closes: #200620)
      - Thanks Riku Voipio <riku.voipio@iki.fi>
      - use cvs files from KDE_3_1_BRANCH
      	+ recentapps.cpp version 1.3.6.2
      	+ recentapps.h version 1.3.8.2
      	+ service_mnu.cpp version 1.50.2.4
      	+ browser_mnu.cpp version 1.44.2.2

 -- Igor Genibel <igenibel@debian.org>  Fri, 18 Jul 2003 10:35:34 +0200

kdebase (4:3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove Build-Depends on libsasl-dev. (Closes: #189949, #193866)
  * Add libkregexpeditor to kate Recommends. (Closes: #183280)
  * Add efax | hylafax | mgetty-fax to kdeprint Depends. (Closes: #142489)
  * Add kfind to konqueror Depends. (Closes: #192859)
  * Fix KDE GDM Session file. (Closes: #144206, #154519, #188560, #189438,
    #193274)
  * Add log rotation for KDM logfile. (Closes: #145345, #153728)
  * Add screen number to KDM Xservers file. (Closes: #182708, #184737, #187257)
  * Moved xfonts-konsole fonts to /usr/X11R6/lib/X11/fonts/misc/
    (Closes: #184548)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 21 May 2003 08:00:00 -0500

kdebase (4:3.1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #180816, #181309)
  * Corrected kdm-update-menu.sh kdm.options path. (Closes: #180355)
  * Added xbase-clients depend to kdm. (Closes: #180536)
  * Added xutils depend to xfonts-konsole. (Closes: #180695)
  * Improved xfonts-konsole description. (Closes: #180696)
  * Remove upgrade from alternatives removal prerm script. (Closes: #180927)
  * Change Xservers to launch /usr/X11R6/bin/X. (Closes: #182037)
  * Add entries for kdm reserve xserver feature. (Closes: #182708)
  * Add kcontrol depends to konqueror (Closes: #182724)
  * Change konqueror menu entry to allow execution. (Closes: #183225)
  * Make konqueror provide www-browser. (Closes: #183391)

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 11 Mar 2003 22:00:00 -0600

kdebase (4:3.1.0-2) unstable; urgency=low

  * Add 'chmod +x configure' to rules.

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  8 Feb 2003 02:00:00 -0600

kdebase (4:3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Redo debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 01 Feb 2003 23:00:00 -0600

kdebase (4:2.2.2-14.7) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Updated patch from KDE advisory 20030916


