=== debian/control ===
Source: kdebase
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Christopher L Cheney <ccheney@debian.org>
Build-Depends: automake1.8, debhelper (>= 4.2.0), gawk, gettext, kdelibs4-dev (>> 4:3.2.1), lesstif-dev, libbz2-dev, libcdparanoia0-dev, libdb4.2-dev, libfontconfig1-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libraw1394-dev, libsmbclient-dev, libssl-dev, libtiff3g-dev, sharutils, texinfo, xutils
Build-Depends-Indep: doxygen, qt3-doc
Standards-Version: 3.6.1.0

Package: kdebase
Section: kde
Architecture: all
Depends: kappfinder (>= ${Source-Version}), kate (>= ${Source-Version}), kcontrol (>= ${Source-Version}), kdebase-bin (>= ${Source-Version}), kdebase-data (>= ${Source-Version}), kdebase-kio-plugins (>= ${Source-Version}), kdeprint (>= ${Source-Version}), kdesktop (>= ${Source-Version}), kfind (>= ${Source-Version}), khelpcenter (>= ${Source-Version}), kicker (>= ${Source-Version}), klipper (>= ${Source-Version}), kmenuedit (>= ${Source-Version}), konqueror-nsplugins (>= ${Source-Version}), konqueror (>= ${Source-Version}), konsole (>= ${Source-Version}), kpager (>= ${Source-Version}), kpersonalizer (>= ${Source-Version}), ksmserver (>= ${Source-Version}), ksplash (>= ${Source-Version}), ksysguard (>= ${Source-Version}), ktip (>= ${Source-Version}), kwin (>= ${Source-Version}), libkonq4 (>= ${Source-Version})
Recommends: kdm (>= ${Source-Version}), xfonts-konsole (>= ${Source-Version})
Description: KDE Base metapackage
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package depends on the minimum number of packages to provide a
 simple yet fully functional KDE desktop.

Package: kappfinder
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase (<< 4:3.0.0)
Description: KDE Application Finder
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of the official KDE base module.

Package: kate
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kregexpeditor
Suggests: aspell | ispell, kate-plugins, khelpcenter, konq-speaker
Replaces: kdebase-doc (<< 4:3.0.0)
Description: KDE Advanced Text Editor
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the advanced text editor for KDE. It includes
 many features including:
 .
  * Syntax Highlighting
  * Folding
 .
 This package is part of the official KDE base module.

Package: kcontrol
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Control Center
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 The KDE control center allows you to configure all aspects of your KDE
 desktop.
 .
 This package is part of the official KDE base module.

Package: kdebase-bin
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), kscreensaver (<< 4:3.0.0)
Description: KDE Base (binaries)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains miscellanous programs needed by other KDE
 applications.
 .
 This package is part of the official KDE base module.

Package: kdebase-data
Section: kde
Architecture: all
Replaces: kdebase (<< 4:3.0.0), kdewallpapers (<< 4:3.0.0)
Description: KDE Base (shared data)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains all the data files needed for a basic KDE desktop
 installation.
 .
 This package is part of the official KDE base module.

Package: kdebase-dev
Section: devel
Architecture: any
Depends: kate (= ${Source-Version}), kdesktop (= ${Source-Version}), kicker (= ${Source-Version}), konqueror-nsplugins (= ${Source-Version}), konqueror (= ${Source-Version}), ksysguard (= ${Source-Version}), kdelibs4-dev (>> 4:3.2.1)
Replaces: kate (<< 4:3.2.0), kdebase (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Base (development files)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains all the header files needed to develop KDE
 applications.
 .
 This package is part of the official KDE base module.

Package: kdebase-doc
Section: doc
Architecture: all
Replaces: libkonq4-dev (<< 4:3.2.0)
Description: KDE Base Library Documentation
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the KDE Base Library Documentation.
 .
 This package is part of the official KDE base module

Package: kdebase-kio-plugins
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter, mtools
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE I/O Slaves
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes the base kioslaves. This includes file, http,
 ftp, smtp, pop and imap.
 .
 This package is part of the official KDE base module.

Package: kdeprint
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, enscript, gv, poster, psutils
Suggests: khelpcenter, efax | hylafax-client | mgetty-fax
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Print
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the KDE printing subsystem. It can use Cups,
 lpd-ng or the traditional lpd. It also includes support for fax and pdf
 printing.
 .
 This package is part of the official KDE base module.

Package: kdesktop
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-bin
Recommends: eject
Replaces: kdebase (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Desktop
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 KDE Desktop
 .
 This package is part of the official KDE base module.

Package: kdm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.9), kdebase-bin, libpam-runtime (>= 0.76-14), xbase-clients
Recommends: logrotate
Suggests: khelpcenter, menu
Provides: x-display-manager
Description: KDE Display Manager
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kdm manages a collection of X servers, which may be on the local host or
 remote machines.  It provides services similar to those provided by init,
 getty, and login on character-based terminals: prompting for login name and
 password, authenticating the user, and running a session.  kdm supports XDMCP
 (X Display Manager Control Protocol) and can also be used to run a chooser
 process which presents the user with a menu of possible hosts that offer
 XDMCP display management.
 .
 This package is part of the official KDE base module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0)
Description: KDE File Find Utility
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kfind can be used to find files and directories on your
 workstations.
 .
 This package is part of the official KDE base module.

Package: khelpcenter
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase-doc (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Help Center
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 The KDE Help center provides help on how to use the KDE desktop.
 .
 This package is part of the official KDE base module.

Package: kicker
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-data
Suggests: khelpcenter, kicker-applets, menu
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Desktop Panel
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 Kicker provides the KDE panel on you desktop. It can be used as a
 program launcher and can load plugins to provide additional
 functionality.
 .
 This package is part of the official KDE base module.

Package: klipper
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Clipboard
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 klipper provides several additional featues of the traditional clipboard
 functionality like the ability to offer actions to take dependent on
 the clipboard contents. For example, it can launch a web browser if the
 clipboard contains a url.
 .
 This package is part of the official KDE base module.

Package: kmenuedit
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Menu Editor
